Cabal-1.22.4.0: A framework for packaging Haskell software

Copyright | Thomas Tuegel 2011
License | BSD3
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell98

Distribution.Simple.Hpc

Description

This module provides functions for locating various HPC-related paths and a function for adding the necessary options to a PackageDescription to build test suites with HPC enabled.

Synopsis

- data Way
  - = Vanilla
  - | Prof
  - | Dyn
- guessWay :: LocalBuildInfo -> Way
- htmlDir :: FilePath -> Way -> FilePath -> FilePath
- mixDir :: FilePath -> Way -> FilePath -> FilePath
- tixDir :: FilePath -> Way -> FilePath -> FilePath
- tixFilePath :: FilePath -> Way -> FilePath -> FilePath
- markupPackage :: Verbosity -> LocalBuildInfo -> FilePath -> String -> [TestSuite] -> IO ()
- markupTest :: Verbosity -> LocalBuildInfo -> FilePath -> String -> TestSuite -> IO ()

# Documentation

data Way Source

Constructors

Vanilla |
Prof |
Dyn |

Instances

Bounded Way |
Enum Way |
Eq Way |
Read Way |
Show Way |

guessWay :: LocalBuildInfo -> Way Source

Attempt to guess the way the test suites in this package were compiled and linked with the library so the correct module interfaces are found.

htmlDir Source

Arguments

:: FilePath | "dist/" prefix
-> Way |
-> FilePath | Component name
-> FilePath | Path to test suite's HTML markup directory

mixDir Source

Arguments

:: FilePath | "dist/" prefix
-> Way |
-> FilePath | Component name
-> FilePath | Directory containing test suite's .mix files

tixDir Source

Arguments

:: FilePath | "dist/" prefix
-> Way |
-> FilePath | Component name
-> FilePath | Directory containing test suite's .tix files

tixFilePath Source

Arguments

:: FilePath | "dist/" prefix
-> Way |
-> FilePath | Component name
-> FilePath | Path to test suite's .tix file

Path to the .tix file containing a test suite's sum statistics.

markupPackage Source

Arguments

:: Verbosity |
-> LocalBuildInfo |
-> FilePath | "dist/" prefix
-> String | Library name
-> [TestSuite] |
-> IO () |

Generate the HTML markup for all of a package's test suites.

markupTest Source

Arguments

:: Verbosity |
-> LocalBuildInfo |
-> FilePath | "dist/" prefix
-> String | Library name
-> TestSuite |
-> IO () |

Generate the HTML markup for a test suite.